Suggest scores for many incidents based on the provided parameters
POST
/v1/incidents/scores
const url = 'https://api.adversarial.com/api/v1/incidents/scores';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"incident_ids":[]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.adversarial.com/api/v1/incidents/scores \ --header 'Content-Type: application/json' \ --data '{ "incident_ids": [] }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
incident_ids
Array<string>
Example
INC-00001Responses
Section titled “Responses”Incident Score Suggestion
Media typeapplication/json
object
failed
required
Array<integer>
succeeded
required
Array<object>
object
id
required
integer format: int64
severity
required
string
severity_reasoning
required
string
threat_objectives
required
Array<object>
object
reasoning
required
string
relevance
required
Defines how relevant a threat objective is to a particular risk
string
threat_name
required
Identifies a specific threat objective
string
threat_objectives_reasoning
required
string
Example
{ "succeeded": [ { "severity": "SEV-5", "threat_objectives": [ { "relevance": "Moderate", "threat_name": "Sabotage" } ] } ]}